<h3>{{pageTitle}}</h3>
<div class="card text-center h-100" *ngIf="album">
  <div class="card-header">
    <h2>{{album.title}}</h2>
    <h5>{{album.year}}</h5>
    <h6>de <a routerLink="/artist/{{album.artist._id}}">{{album.artist.name}}</a></h6>
  </div>
  <div class="card-body">
    <h5 class="card-title">{{album.description}}</h5>
    <img class="card-img-top" src="{{url + 'album/get-image/' + album._id}}" alt="imagen artista">
    <div class="mt-3">
      <a routerLink="" class="btn btn-primary" routerLink="/song-add/{{album._id}}" *ngIf="identity.role=='ROLE_ADMIN'">Añadir canción</a>
    </div>
  </div>
  <div class="card-footer" *ngIf="songs">
    <table class="table">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Título</th>
          <th scope="col"><i class="far fa-clock"></i></th>
        </tr>
      </thead>
      <tbody>
        <tr class="songs" *ngFor="let song of songs" (mouseenter)="mouseEnter($event)" (mouseleave)="mouseLeave($event)">
            <td scope="row" class="number-column">{{song.number}} <button class="btn d-none" (click)="onClickPlay(song)" > <i class="far fa-play-circle"></i></button></td>
            <td>{{song.title}}</td>
            <td>{{song.duration}} 
              <span *ngIf="identity.role=='ROLE_ADMIN'">
                <a routerLink="/song-edit/{{song._id}}" class="btn btn-sm btn-warning ml-2">Editar</a> 
                <button class="btn btn-sm btn-danger ml-2" (click)="mostrarBotonesBorrar($event,song._id)" id="borrarBtn{{song._id}}"> Borrar</button>
                <span id="botones{{song._id}}" class="ml-3 d-none">
                  <button class="btn btn-sm btn-secondary" id="cancelBtn{{song._id}}" (click)="clickCancel($event,song._id)">Cancelar</button>
                  <button class="btn btn-sm btn-danger ml-2" (click)="deleteConfirm(song._id)">Confirma borrado</button>
                </span>
              </span>
            </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>